Bug 1356653 - python-fabulous: Add a Python 3 subpackage
Summary: python-fabulous: Add a Python 3 subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fabulous
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 1308557
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-07-14 15:25 UTC by Ariel O. Barria
Modified: 2017-06-09 19:28 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-09 19:28:02 UTC


Attachments (Terms of Use)
Update to 0.3.0 and add a Python 3 subpackage (6.93 KB, patch)
2017-05-26 17:57 UTC, Charalampos Stratakis
no flags Details | Diff

Comment 1 Petr Viktorin 2016-07-14 16:37:25 UTC
Thank you, Ariel!

I see the python3 package is missing "Requires: python3-grapefruit" (and grapefruit is, sadly, not yet in Fedora). Can software work without the dependency?

Comment 2 Ralph Bean 2016-07-14 17:12:53 UTC
Uh oh, https://github.com/jart/fabulous/commit/699f6aeb5cb069414b4999325d956518191229e9

It looks like upstream started bundling grapefruit last month.

Comment 3 Ralph Bean 2016-07-14 17:13:50 UTC
(ah, they say the bundling is temporary until this issue is resolved https://github.com/xav/Grapefruit/issues/15 )

Comment 4 Ariel O. Barria 2016-07-14 19:55:36 UTC
you are welcome.

Do you agree to eliminate "Requires: python-grapefruit" line and move forward with this package?, for now not required. when Justine reverse that change, it is added back to required.

is this possible?

Comment 5 Petr Viktorin 2016-07-15 08:53:14 UTC
No, we should not bundle the library. The reason for bundling is problems with pip, which Fedora does not suffer from.
In Fedora, grapefruit should be ported first (#1308557), and unbundled here – hopefully Justine will unbundle in upstream by then.

Alternatively, how to bundle properly is described here: https://fedoraproject.org/wiki/Packaging:Guidelines#Bundling_and_Duplication_of_system_libraries
but I don't think that's necessary.

Comment 6 Ariel O. Barria 2016-07-15 13:27:45 UTC
ok, thanks for your time and explanation.

Comment 7 Jan Kurik 2016-07-26 04:58:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 8 Ariel O. Barria 2016-08-02 16:28:31 UTC
upgrade of python-grapefruit:
https://bugzilla.redhat.com/show_bug.cgi?id=1308557

Comment 9 Charalampos Stratakis 2017-05-26 17:57 UTC
Created attachment 1282718 [details]
Update to 0.3.0 and add a Python 3 subpackage

A patch for updating to latest version and providing a Python 3 subpackage.

The binaries are moved to the Python 3 subpackage.

Also each subpackage has a runtime requirement for liberation-sans-fonts, as while they the original fonts are unbundled and replaced [0], the font package was not explicitly required before, which could result in a traceback when e.g. running the fabulous-demo.

python-grapefruit is unbundled as well.

Ralph should I got ahead and push the changes?

[0] http://pkgs.fedoraproject.org/cgit/rpms/python-fabulous.git/tree/python-fabulous-unbundle-fonts.patch

Comment 10 Ralph Bean 2017-06-06 01:01:12 UTC
Nice!  Yeah, if you have rights to push, go for it Charalampos!

Comment 11 Fedora Update System 2017-06-06 09:18:57 UTC
python-fabulous-0.3.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ec9b462c6

Comment 12 Fedora Update System 2017-06-06 19:05:43 UTC
python-fabulous-0.3.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2ec9b462c6

Comment 13 Fedora Update System 2017-06-09 19:28:02 UTC
python-fabulous-0.3.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.